*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  font-family: "Inter", sans-serif;
  box-sizing: border-box;
}

[x-cloak] {
  display: none !important;
}

body {
  font-size: 16px;
  line-height: 1.2;
  overflow-x: hidden;
  color: #212121;
}

.container {
  padding: 0 16px;
  max-width: 1280px;
  margin: 0 auto;
}

.page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.content {
  min-height: 75vh;
  height: 100%;
  padding: 20px 16px;
  background: #f3f4f6;

  display: flex;
  align-items: center;
  justify-content: center;

  flex-grow: 1;
}

@keyframes page-loader-draw {
  0% {
    stroke-dashoffset: 50;
  }

  25% {
    stroke-dashoffset: 150;
  }

  50% {
    stroke-dashoffset: 50;
  }

  75% {
    stroke-dashoffset: -50;
  }

  100% {
    stroke-dashoffset: 50;
  }
}

@keyframes page-loader-color {
  0% {
    stroke: #4ee3f0;
  }

  25% {
    stroke: #22d3ee;
  }

  50% {
    stroke: #60a5fa;
  }

  75% {
    stroke: #a78bfa;
  }

  100% {
    stroke: #4ee3f0;
  }
}

.page-loader {
  display: block;
  width: 100%;
}

.loader {
  width: 24px;
  height: 24px;
  border: 3px solid #fff;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.stepper {
  max-width: 480px;
  width: 100%;
  padding: 20px;

  border: 1px solid #e3e3e3;
  border-radius: 10px;

  background-color: #fff;
  box-shadow: 0 2px 4px #0000001a;
}

.stepper-head {
  margin-top: 8px;
  margin-bottom: 24px;
}

.stepper-head-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.stepper-head-title {
  font-weight: 700;
  font-size: 24px;
}

.stepper-head-step {
  padding: 4px 12px;
  display: inline-flex;
  align-items: center;
  background-color: #0057ff1a;
  border: 1px solid rgba(0, 87, 255, 0.1490196078);
  border-radius: 14px;
  color: #3b82f6;
  font-size: 14px;
}

.stepper-head-description {
  margin-top: 6px;
  opacity: 0.6;
}

.stepper-body {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.stepper-option {
  display: flex;
  align-items: center;
  padding: 10px;
  border: 1px solid #e3e3e3;
  border-radius: 10px;
  cursor: pointer;
  transition: all 0.25s ease;
  background-color: #fff;
  gap: 16px;
}

.stepper-option:hover {
  border: 1px solid #3b82f6;
  color: #3b82f6;
  background-color: #f0f8ff;
}

.stepper-option-icon {
  width: 42px;
  height: 42px;
  min-width: 42px;
  min-height: 42px;
  padding: 2px;
  border: 1px solid #e3e3e3;
  border-radius: 100%;
  transition: all 0.25s ease;

  display: flex;
  justify-content: center;
  align-items: center;

  position: relative;
}

.stepper-option-icon-main {
  display: block;
  border-radius: 100%;

  width: 100%;
  height: 100%;
  object-fit: contain;
}

.stepper-option-icon-mini {
  display: block;
  border-radius: 100%;

  width: 100%;
  height: 100%;
  object-fit: contain;

  max-width: 20px;
  max-height: 20px;

  position: absolute;
  right: 0;
  bottom: 0;
}

.stepper-option:hover .stepper-option-icon {
  border: 1px solid #3b82f6;
}

.stepper-option-name {
  text-align: left;
  font-size: 16px;
  font-weight: 600;
}

.stepper-option-arrow {
  margin-left: auto;
  margin-right: 6px;
  transition: all 0.25s ease;
}

.stepper-option:hover .stepper-option-arrow {
  stroke: #3b82f6;
  margin-right: 0;
}

.stepper-info {
  display: flex;
  align-items: center;
  padding: 10px;
  border: 1px solid #e3e3e3;
  border-radius: 10px;
  transition: all 0.25s ease;
  background-color: #fff;
  gap: 16px;
}

.stepper-info-icon {
  width: 42px;
  height: 42px;
  min-width: 42px;
  min-height: 42px;
  padding: 2px;
  border: 1px solid #e3e3e3;
  border-radius: 100%;
  transition: all 0.25s ease;

  display: flex;
  justify-content: center;
  align-items: center;

  position: relative;
}

.stepper-info-icon-main {
  display: block;
  border-radius: 100%;

  width: 100%;
  height: 100%;
  object-fit: contain;
}

.stepper-info-icon-mini {
  display: block;
  border-radius: 100%;

  width: 100%;
  height: 100%;
  object-fit: contain;

  max-width: 20px;
  max-height: 20px;

  position: absolute;
  right: 0;
  bottom: 0;
}

.stepper-info-title {
  text-align: left;
  font-size: 15px;
  opacity: 0.6;

  margin-bottom: 2px;
}

.stepper-info-name {
  text-align: left;
  font-size: 16px;
  font-weight: 600;
}

.stepper-button {
  width: 100%;
  margin: 0 auto;
  padding: 16px 16px;
  background-color: #3b82f6;
  text-decoration: none;

  font-size: 18px;
  text-align: center;
  color: #fff;

  border: none;
  border-radius: 10px;

  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;

  transition: all 0.25s ease;
}

.stepper-button:hover {
  background-color: #336de9;
}

.stepper-button:active {
  background-color: #2563eb;
}

.stepper-button:disabled {
  background-color: rgba(29, 79, 216, 0.651);
  cursor: progress;
}

.stepper-link {
  background: none;
  border: none;
  color: #3b82f6;
  font-size: 15px;
  text-align: center;
  cursor: pointer;

  transition: all 0.25s ease;
}

.stepper-link:hover {
  color: #1c63fc;
}

.stepper-link:active {
  color: #3770ec;
}

.stepper-error {
  padding: 10px;
  background-color: #fecaca;
  border: 2px solid #ef4444;
  border-radius: 10px;

  margin-top: 16px;

  display: flex;
  align-items: start;
  gap: 6px;
}

.stepper-error-icon {
  stroke: #ef4444;
}
.stepper-error-text {
  line-height: 1.4;
  color: #ef4444;
}

.stepper-result {
  display: flex;
  align-items: center;
  gap: 8px;

  border: 1px solid #e3e3e3;
  border-radius: 10px;
  padding: 4px;
}

.stepper-result-state {
  width: 40px;
  height: 40px;
  min-width: 40px;
  min-height: 40px;
  background: #3b82f6;
  border-radius: 10px;

  display: flex;
  justify-content: center;
  align-items: center;
}

.stepper-result-text {
  font-weight: bold;
  font-size: 16px;
}

@media screen and (max-width: 850px) {
  .content {
    min-height: calc(100vh - 72px);
  }
}
